<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.scene.control.Menu?>
<?import javafx.scene.control.MenuBar?>
<?import javafx.scene.control.MenuItem?>
<?import javafx.scene.layout.BorderPane?>
<?import javafx.scene.layout.Pane?>

<BorderPane prefHeight="400.0" prefWidth="600.0" stylesheets="@DarkTheme.css" xmlns="http://javafx.com/javafx/20.0.1" xmlns:fx="http://javafx.com/fxml/1" fx:controller="fr.mc.projet4gestiondecontacts.RootLayoutController">
   <top>
      <MenuBar BorderPane.alignment="CENTER">
        <menus>
          <Menu mnemonicParsing="false" text="File">
            <items>
                  <MenuItem mnemonicParsing="false" onAction="#handleNew" text="New" />
                  <MenuItem mnemonicParsing="false" onAction="#handleOpen" text="Open..." />
                  <MenuItem fx:id="boutonSave" mnemonicParsing="false" onAction="#handleSave" text="Save" />
                  <MenuItem fx:id="boutonSaveAs" mnemonicParsing="false" onAction="#handleSaveAs" text="Save as...." />
                  <MenuItem fx:id="boutonPrint" mnemonicParsing="false" onAction="#handlePrint" text="Print...." />
              <MenuItem mnemonicParsing="false" onAction="#handleExit" text="Exit" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Edit">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#handleDelete" text="Delete" />
            </items>
          </Menu>
          <Menu mnemonicParsing="false" text="Help">
            <items>
              <MenuItem mnemonicParsing="false" onAction="#handleAbout" text="About" />
            </items>
          </Menu>
        </menus>
      </MenuBar>
   </top>
   <center>
      <Pane id="paneMenu" prefHeight="200.0" prefWidth="200.0" BorderPane.alignment="CENTER" />
   </center>
</BorderPane>
